.popup-wrapper {
  position: fixed;
  z-index: 1000;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background: rgba(0, 0, 0, 0.3);
  backdrop-filter: blur(25px);
  -webkit-backdrop-filter: blur(25px);
  padding: 15px;
  visibility: hidden;
  opacity: 0;
  height: 100vh;
  overflow: auto;
  background: var(--bg-overlay);
  -webkit-backdrop-filter: var(--blur);
  backdrop-filter: var(--blur);
}
.popup-content.active,
.popup-wrapper.active {
  visibility: visible;
  opacity: 1;
}
.popup-wrapper .bg-layer {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;

  opacity: 0;
  transition: opacity var(--transition-1);
  z-index: 2;
}

.popup-wrapper.active {
  left: 0;
  transition-delay: 0s;
}

.popup-wrapper.active .bg-layer {
  opacity: 1;
}

.popup-content {
  position: relative;
  width: 100%;
  margin: 0 auto;
  font-size: 0;
  text-align: center;
  letter-spacing: 0;
  padding: 40px 32px;
  overflow: auto;
  /* -webkit-overflow-scrolling: touch;
  backface-visibility: hidden; */
  opacity: 0;
  visibility: hidden;
  transform: translateY(6.25rem);
  transition: var(--transition-1);
  background-color: #fff;
  z-index: 2;
  left: 0;
  right: 0;
  top: 0;
  display: none;
}

.popup-content.active {
  transform: translateY(0%);
  opacity: 1;
  visibility: visible;
  display: block;
}
.popup-content .btn-close {
  position: absolute;
  width: 40px;
  right: 10px;
  top: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  z-index: 10;
}
.popup-content .btn-close img {
  width: 24px;
}
/* -------------------------- */

.popup-container {
  margin: auto;
  z-index: 3;
  background-color: #fff;
  position: relative;
}

.popup-title {
  text-align: center;
  font-size: 28px;
  margin-bottom: 25px;
  font-weight: 600;
}
.popup-buttons {
  display: flex;
  justify-content: space-between;
}
.popup-buttons .btn {
  min-width: 200px;
}

.engraving-popup,
.one-click-popup,
.stock-info-popup {
  max-width: 930px;
}
.popup-content .subtitle {
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
  color: var(--text-color-black);
}
.engraving-popup .popup-title,
.one-click-popup .popup-title,
.stock-info-popup .popup-title {
  margin-bottom: 0;
}
.engraving-description {
  text-align: left;
  margin-top: 4px;
}

.add-to-cart-popup {
  max-width: 924px;
  padding: 16px;
}
.add-to-cart-popup {
}
.add-to-cart-popup .image {
  flex: 1;
  overflow: hidden;
  position: relative;
}
.add-to-cart-popup .image:before {
  padding-bottom: 130%;
  content: "";
  display: block;
}
.add-to-cart-popup .image img {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}
.add-to-cart-popup .content {
  flex: 1;
  align-self: center;
  padding: 16px;
}
.add-to-cart-popup .logo {
  max-width: 130px;
  margin: auto;
}
.add-to-cart-popup .rl-title {
  font-weight: 600;
  font-size: 24px;
  line-height: 34px;
  text-align: center;
  color: var(--text-color-black);
}
.add-to-cart-popup .text {
  font-weight: 300;
  font-size: 16px;
  line-height: 24px;
  text-align: center;

  color: var(--text-color-black);
}
.add-to-cart-popup .popup-buttons {
  align-items: center;
  text-align: center;
}
.add-to-cart-popup .popup-buttons .btn {
  min-width: auto;
  cursor: pointer;
}

.engraving-swiper {
  padding: 55px 0;
}

/* Базовий стиль слайдів */
.engraving-swiper .swiper-slide {
  transition:
    transform 0.35s ease,
    opacity 0.35s ease;
  /* transform: scale(0.75); */
  height: 25vw;
  max-height: 300px;
  min-height: 260px;
}

/* Центральний активний слайд — збільшений */
.engraving-swiper .swiper-slide-active {
  transform: scale(1.28);
}

/* Центрування картинок */
/* .engraving-swiper .swiper-slide img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 4px;
} */

.engraving-swiper {
  position: relative;
  overflow: hidden;
}

.engraving-swiper .swiper-button-prev,
.engraving-swiper .swiper-button-next {
  background: none;
  width: 64px;
  height: 64px;
  margin-top: -36px;
}
.engraving-swiper .swiper-button-prev {
  transform: rotate(-180deg);
  left: 20px;
}
.engraving-swiper .swiper-button-next {
  right: 20px;
}

.size-popup {
  max-width: 1230px;
}

.size-popup .tabs {
  display: flex;
  align-items: center;
  border: 1px solid #15161a;
  margin: auto;
}
.size-popup .tabs li {
  padding: 4px;
  width: 280px;
}
.size-popup .tabs li:not(:last-of-type) {
  border-right: 1px solid var(--text-color-black);
}

.size-popup .tabs button {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-transform: uppercase;
  color: #69737c;
  text-align: center;
  height: 56px;
  width: 100%;
  background-color: transparent;
  cursor: pointer;
  border: 1px solid transparent;
  transition: all 0.4s ease;
}
.size-popup .tabs button.active {
  background-color: #15161a;
  color: #fff;
}

.size-wrapper {
  overflow-x: auto;
}
.size-wrapper table {
  width: 100%;
  min-width: 700px;
}
.size-wrapper .th {
  padding: 0 8px 10px;
}
.size-wrapper .th td {
  border-bottom: 1px solid #d9d9d9;
  font-weight: 500;
}
.size-wrapper .th td:first-of-type {
  padding-left: 0;
}
.size-wrapper .th td:last-of-type {
  padding-right: 0;
}
.size-wrapper td {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  padding: 20px 10px;
  border-bottom: 1px solid #d9d9d9;
  vertical-align: middle;
}

.size-popup .content-box {
  padding-top: 10px;
}
.size-popup .content-box__content {
  padding: 0;
  flex: none;
  width: calc(66% - 32px);
  text-align: left;
}
.size-popup .content-box__image {
  overflow: hidden;
  position: relative;
  flex: none;
  width: calc(30% - 12px);
}

.content-box__content ol.list li {
  padding-left: 16px;
}

.content-box__content ol.list li::before {
  content: "";
  padding: 0;
  font-weight: 600;
  width: 6px;
  height: 6px;
  background-color: var(--text-color-black);
  display: inline-block;
  position: absolute;
  top: 8px;
  left: 0;
}
.size-popup .content-box__image:before {
  padding-top: 140%;
}
.size-popup .content-box .container {
  padding: 0;
  justify-content: space-between;
}
  
.popup-content .rud-table_size__video,
.popup-content video {
  max-height: 50vh;
}

@media (max-width: 768px) {
  .size-popup .content-box__content {
    width: 100%;
  }
  .size-popup .content-box__image {
    width: 100%;
  }
  .size-wrapper table {
    width: 100%;
    min-width: 940px;
  }
  .size-popup .tabs {
    width: 100%;
    margin-top: 10px;
  }
  .size-popup {
    max-width: 600px;
    width: calc(100% - 40px);
  }
  .size-popup .tabs li {
    width: auto;
    flex: 1;
  }
  .size-wrapper td {
    font-size: 14px;
    line-height: 20px;
    padding: 8px 4px;
  }

  .add-to-cart-popup .image {
    display: none;
  }
  .add-to-cart-popup .content {
    padding: 0;
  }
  .popup-content {
    padding: 40px 16px;
  }

  .popup-content .form-content {
    gap: 24px;
  }
  .popup-content .popup-buttons {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding-top: 8px;
  }
  .popup-content .rl-row {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  .add-to-cart-popup .image {
    display: none;
  }
  .add-to-cart-popup .content {
    padding: 0;
  }
  .popup-content {
    padding: 40px 16px;
  }

  .popup-content .form-content {
    gap: 24px;
  }
  .popup-content .popup-buttons {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding-top: 8px;
  }
  .popup-content .rl-row {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  .popup-content .gap-32 {
    gap: 24px;
  }
  .popup-content .popup-buttons {
    padding-top: 0;
  }
}
